Security Enhanced Linux Reference Policy

# Layer: services

## Module: obex

Interfaces Templates

### Description:

D-Bus service providing high-level OBEX client and server side functionality.

### Interfaces:

obex_dbus_chat( domain )

##### Summary

Send and receive messages from obex over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

obex_domtrans( domain )

##### Summary

Execute obex in the obex domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

Return

### Templates:

obex_role_template( role_prefix , user_role , user_domain )

##### Summary

The role template for obex.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user domain (e.g., user is the prefix for user_t).
user_role | The role associated with the user domain.
user_domain | The type of the user domain.

Return